Summary: GNU Make
Name: make
Version: 3.77
Release: 1
Group: Development/Building
Copyright: GPL
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gnu.org/gnu/make/make-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root
 
%description
The program make is used to coordinate the compilation and
linking of a set of sources into a program, recompiling
only what is necessary, thus saving a developer a lot of time.
In fact, make can do a lot more - read the info docs.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
rm -f make.info*
make MAKEINFO="makeinfo --no-split" all make.dvi make.ps
gzip -9f make.ps


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install-strip
gzip -9f $RPM_BUILD_ROOT/usr/info/make.info
ln -sf make $RPM_BUILD_ROOT/usr/bin/gmake


%post
/sbin/install-info /usr/info/make.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/make.info.gz /usr/info/dir
fi


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README make.dvi make.ps.gz
/usr/bin/*
/usr/man/man*/*
/usr/info/*


%clean
rm -rf $RPM_BUILD_ROOT
